<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

TODO: Put a short description of the package here that helps potential users
know whether this package might be useful for them.

## Features

[Solana RPC API](https://docs.solana.com/developing/clients/jsonrpc-api) for Dart SDK.

## Getting started

[install](https://pub.dev/packages/solana_rpc_sdk_flutter/install)

## Usage

```dart
final api = SolanaRpcApi(clusterApiUrl(Cluster.mainnetBeta), '7jrFHLtDxAqPsc3S7nd3F1wAc99xqkD9wuQ38JtdMoej');
final tokenAccountsByOwner = await api.getTokenAccountsByOwner();

print(tokenAccountsByOwner);
```

More example see [https://github.com/Circelpod/solana_rpc_sdk_flutter]

## Additional information

TODO: Tell users more about the package: where to find more information, how to
contribute to the package, how to file issues, what response they can expect
from the package authors, and more.

## TODO

- [] getAccountInfo
- [] getBalance
- [] getBlock
- [] getBlockHeight
- [] getBlockProduction
- [] getBlockCommitment
- [] getBlocks
- [] getBlocksWithLimit
- [] getBlockTime
- [] getClusterNodes
- [] getEpochInfo
- [] getEpochSchedule
- [] getFeeForMessage
- [] getFirstAvailableBlock
- [] getGenesisHash
- [] getHealth
- [] getHighestSnapshotSlot
- [] getIdentity
- [] getInflationGovernor
- [] getInflationRate
- [] getInflationReward
- [] getLargestAccounts
- [] getLatestBlockhash
- [] getLeaderSchedule
- [] getMaxRetransmitSlot
- [] getMaxShredInsertSlot
- [] getMinimumBalanceForRentExemption
- [] getMultipleAccounts
- [] getProgramAccounts
- [] getRecentPerformanceSamples
- [] getSignaturesForAddress
- [] getSignatureStatuses
- [] getSlot
- [] getSlotLeader
- [] getSlotLeaders
- [] getStakeActivation
- [] getSupply
- [] getTokenAccountBalance
- [] getTokenAccountsByDelegate
- [x] getTokenAccountsByOwner
- [] getTokenLargestAccounts
- [] getTokenSupply
- [] getTransaction
- [] getTransactionCount
- [] getVersion
- [] getVoteAccounts
- [] isBlockhashValid
- [] minimumLedgerSlot
- [] requestAirdrop
- [] sendTransaction
- [] simulateTransaction

## publish

```bash
dart pub publish --dry-run
```
