import 'dart:io';

import 'package:dio/dio.dart';

/// http client
class RPCHttpClient {
  /// http client
  final HttpClient _client = HttpClient();
  final _headers = {'Content-Type': 'application/json'};

  /// get
  Future<Response<dynamic>> get(String url,
      {String path = '',
      Map<String, dynamic>? queryParameters,
      Map<String, String>? headers}) async {
    final dio = Dio(
      BaseOptions(
        connectTimeout: 30000,
        receiveTimeout: 30000,
        baseUrl: url,
      ),
    );

    dio.options.headers = headers ?? _headers;
    return await dio.get<dynamic>(path, queryParameters: queryParameters);
  }

  /// post
  Future<Response<dynamic>> post (
    String url, {
    String path = '',
    Map<String, String>? headers,
    dynamic data,
    Map<String, dynamic>? queryParameters,
  }) async {
    final dio = Dio(
      BaseOptions(
        connectTimeout: 30000,
        receiveTimeout: 30000,
        baseUrl: url,
      ),
    );

    dio.options.headers = headers ?? _headers;
    return await dio.post<dynamic>(path, data: data, queryParameters: queryParameters);
  }
}
