library solana_rpc_api;

import 'dart:convert';
import 'dart:io';
import 'package:solana_rpc_sdk_flutter/http_client.dart';
import 'model/token_accounts_by_owner.dart';

/// A Calculator.
class SolanaRpcApi {
  final String _url;
  final String address;
  final RPCHttpClient _httpClient;

  /// constructs
  SolanaRpcApi(this._url, this.address) : _httpClient = RPCHttpClient();

  /// getTokenAccountsByOwner
  Future<TokenAccountsByOwner> getTokenAccountsByOwner() async {
    final body = json.encode({
      "jsonrpc": "2.0",
      "id": 1,
      "method": "getTokenAccountsByOwner",
      "params": [
        address,
        {"programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA"},
        {"encoding": "jsonParsed"}
      ]
    });
    final response = await _httpClient.post(_url, data: body);
    return TokenAccountsByOwner.fromJson(response.data);
  }
}
